-- Version: 9.1 SP1 9.1.1.7

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;

entity top_level_fan_control is

    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic;
          MSS_RESET_N : in    std_logic;
          MAINXIN     : in    std_logic;
          PWM         : out   std_logic_vector(1 to 1);
          TACHIN      : in    std_logic_vector(3 downto 0)
        );

end top_level_fan_control;

architecture DEF_ARCH of top_level_fan_control is 

  component mss_fan_control
    port( UART_0_TXD  : out   std_logic;
          UART_0_RXD  : in    std_logic := 'U';
          MSS_RESET_N : in    std_logic := 'U';
          FAB_CLK     : out   std_logic;
          MAINXIN     : in    std_logic := 'U';
          MSSPSEL     : out   std_logic;
          MSSPENABLE  : out   std_logic;
          MSSPWRITE   : out   std_logic;
          MSSPREADY   : in    std_logic := 'U';
          MSSPSLVERR  : in    std_logic := 'U';
          FABINT      : in    std_logic := 'U';
          M2F_RESET_N : out   std_logic;
          MSSPADDR    : out   std_logic_vector(19 downto 0);
          MSSPRDATA   : in    std_logic_vector(31 downto 0) := (others => 'U');
          MSSPWDATA   : out   std_logic_vector(31 downto 0)
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal mss_fan_control_0_FAB_CLK, 
        mss_fan_control_0_M2F_RESET_N, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[0]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[1]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[2]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[3]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[4]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[5]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[6]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[7]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[8]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[9]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[10]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[11]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[12]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[13]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[14]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[15]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[16]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[17]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[18]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[19]\, 
        mss_fan_control_0_MSS_MASTER_APB_PENABLE, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[0]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[1]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[2]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[3]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[4]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[5]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[6]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[7]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[8]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[9]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[10]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[11]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[12]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[13]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[14]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[15]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[16]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[17]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[18]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[19]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[20]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[21]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[22]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[23]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[24]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[25]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[26]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[27]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[28]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[29]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[30]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[31]\, 
        mss_fan_control_0_MSS_MASTER_APB_PREADY, 
        mss_fan_control_0_MSS_MASTER_APB_PSELx, 
        mss_fan_control_0_MSS_MASTER_APB_PSLVERR, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[0]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[1]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[2]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[3]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[4]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[5]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[6]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[7]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[8]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[9]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[10]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[11]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[12]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[13]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[14]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[15]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[16]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[17]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[18]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[19]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[20]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[21]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[22]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[23]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[24]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[25]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[26]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[27]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[28]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[29]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[30]\, 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[31]\, 
        mss_fan_control_0_MSS_MASTER_APB_PWRITE, 
        pwm_n_tach_0_TACHINT, GND_net, VCC_net : std_logic;

begin 


    mss_fan_control_0 : mss_fan_control
      port map(UART_0_TXD => UART_0_TXD, UART_0_RXD => UART_0_RXD, 
        MSS_RESET_N => MSS_RESET_N, FAB_CLK => 
        mss_fan_control_0_FAB_CLK, MAINXIN => MAINXIN, MSSPSEL
         => mss_fan_control_0_MSS_MASTER_APB_PSELx, MSSPENABLE
         => mss_fan_control_0_MSS_MASTER_APB_PENABLE, MSSPWRITE
         => mss_fan_control_0_MSS_MASTER_APB_PWRITE, MSSPREADY
         => mss_fan_control_0_MSS_MASTER_APB_PREADY, MSSPSLVERR
         => mss_fan_control_0_MSS_MASTER_APB_PSLVERR, FABINT => 
        pwm_n_tach_0_TACHINT, M2F_RESET_N => 
        mss_fan_control_0_M2F_RESET_N, MSSPADDR(19) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[19]\, 
        MSSPADDR(18) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[18]\, 
        MSSPADDR(17) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[17]\, 
        MSSPADDR(16) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[16]\, 
        MSSPADDR(15) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[15]\, 
        MSSPADDR(14) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[14]\, 
        MSSPADDR(13) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[13]\, 
        MSSPADDR(12) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[12]\, 
        MSSPADDR(11) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[11]\, 
        MSSPADDR(10) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[10]\, 
        MSSPADDR(9) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[9]\, MSSPADDR(8)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[8]\, 
        MSSPADDR(7) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[7]\, MSSPADDR(6)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[6]\, 
        MSSPADDR(5) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[5]\, MSSPADDR(4)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[4]\, 
        MSSPADDR(3) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[3]\, MSSPADDR(2)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[2]\, 
        MSSPADDR(1) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[1]\, MSSPADDR(0)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[0]\, 
        MSSPRDATA(31) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[31]\, 
        MSSPRDATA(30) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[30]\, 
        MSSPRDATA(29) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[29]\, 
        MSSPRDATA(28) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[28]\, 
        MSSPRDATA(27) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[27]\, 
        MSSPRDATA(26) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[26]\, 
        MSSPRDATA(25) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[25]\, 
        MSSPRDATA(24) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[24]\, 
        MSSPRDATA(23) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[23]\, 
        MSSPRDATA(22) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[22]\, 
        MSSPRDATA(21) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[21]\, 
        MSSPRDATA(20) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[20]\, 
        MSSPRDATA(19) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[19]\, 
        MSSPRDATA(18) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[18]\, 
        MSSPRDATA(17) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[17]\, 
        MSSPRDATA(16) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[16]\, 
        MSSPRDATA(15) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[15]\, 
        MSSPRDATA(14) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[14]\, 
        MSSPRDATA(13) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[13]\, 
        MSSPRDATA(12) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[12]\, 
        MSSPRDATA(11) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[11]\, 
        MSSPRDATA(10) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[10]\, 
        MSSPRDATA(9) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[9]\, 
        MSSPRDATA(8) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[8]\, 
        MSSPRDATA(7) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[7]\, 
        MSSPRDATA(6) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[6]\, 
        MSSPRDATA(5) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[5]\, 
        MSSPRDATA(4) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[4]\, 
        MSSPRDATA(3) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[3]\, 
        MSSPRDATA(2) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[2]\, 
        MSSPRDATA(1) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[1]\, 
        MSSPRDATA(0) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[0]\, 
        MSSPWDATA(31) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[31]\, 
        MSSPWDATA(30) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[30]\, 
        MSSPWDATA(29) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[29]\, 
        MSSPWDATA(28) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[28]\, 
        MSSPWDATA(27) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[27]\, 
        MSSPWDATA(26) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[26]\, 
        MSSPWDATA(25) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[25]\, 
        MSSPWDATA(24) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[24]\, 
        MSSPWDATA(23) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[23]\, 
        MSSPWDATA(22) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[22]\, 
        MSSPWDATA(21) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[21]\, 
        MSSPWDATA(20) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[20]\, 
        MSSPWDATA(19) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[19]\, 
        MSSPWDATA(18) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[18]\, 
        MSSPWDATA(17) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[17]\, 
        MSSPWDATA(16) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[16]\, 
        MSSPWDATA(15) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[15]\, 
        MSSPWDATA(14) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[14]\, 
        MSSPWDATA(13) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[13]\, 
        MSSPWDATA(12) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[12]\, 
        MSSPWDATA(11) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[11]\, 
        MSSPWDATA(10) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[10]\, 
        MSSPWDATA(9) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[9]\, 
        MSSPWDATA(8) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[8]\, 
        MSSPWDATA(7) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[7]\, 
        MSSPWDATA(6) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[6]\, 
        MSSPWDATA(5) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[5]\, 
        MSSPWDATA(4) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[4]\, 
        MSSPWDATA(3) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[3]\, 
        MSSPWDATA(2) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[2]\, 
        MSSPWDATA(1) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[1]\, 
        MSSPWDATA(0) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[0]\);
    
    \VCC\ : VCC
      port map(Y => VCC_net);
    
    pwm_n_tach_0 : entity work.pwm_n_tach
      port map(PRESETN => mss_fan_control_0_M2F_RESET_N, PCLK => 
        mss_fan_control_0_FAB_CLK, PSEL => 
        mss_fan_control_0_MSS_MASTER_APB_PSELx, PENABLE => 
        mss_fan_control_0_MSS_MASTER_APB_PENABLE, PWRITE => 
        mss_fan_control_0_MSS_MASTER_APB_PWRITE, PADDR(7) => 
        \mss_fan_control_0_MSS_MASTER_APB_PADDR_[7]\, PADDR(6)
         => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[6]\, 
        PADDR(5) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[5]\, 
        PADDR(4) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[4]\, 
        PADDR(3) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[3]\, 
        PADDR(2) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[2]\, 
        PADDR(1) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[1]\, 
        PADDR(0) => \mss_fan_control_0_MSS_MASTER_APB_PADDR_[0]\, 
        PWDATA(31) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[31]\, 
        PWDATA(30) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[30]\, 
        PWDATA(29) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[29]\, 
        PWDATA(28) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[28]\, 
        PWDATA(27) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[27]\, 
        PWDATA(26) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[26]\, 
        PWDATA(25) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[25]\, 
        PWDATA(24) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[24]\, 
        PWDATA(23) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[23]\, 
        PWDATA(22) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[22]\, 
        PWDATA(21) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[21]\, 
        PWDATA(20) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[20]\, 
        PWDATA(19) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[19]\, 
        PWDATA(18) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[18]\, 
        PWDATA(17) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[17]\, 
        PWDATA(16) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[16]\, 
        PWDATA(15) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[15]\, 
        PWDATA(14) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[14]\, 
        PWDATA(13) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[13]\, 
        PWDATA(12) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[12]\, 
        PWDATA(11) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[11]\, 
        PWDATA(10) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[10]\, PWDATA(9)
         => \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[9]\, 
        PWDATA(8) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[8]\, PWDATA(7)
         => \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[7]\, 
        PWDATA(6) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[6]\, PWDATA(5)
         => \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[5]\, 
        PWDATA(4) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[4]\, PWDATA(3)
         => \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[3]\, 
        PWDATA(2) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[2]\, PWDATA(1)
         => \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[1]\, 
        PWDATA(0) => 
        \mss_fan_control_0_MSS_MASTER_APB_PWDATA_[0]\, PRDATA(31)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[31]\, 
        PRDATA(30) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[30]\, 
        PRDATA(29) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[29]\, 
        PRDATA(28) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[28]\, 
        PRDATA(27) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[27]\, 
        PRDATA(26) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[26]\, 
        PRDATA(25) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[25]\, 
        PRDATA(24) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[24]\, 
        PRDATA(23) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[23]\, 
        PRDATA(22) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[22]\, 
        PRDATA(21) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[21]\, 
        PRDATA(20) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[20]\, 
        PRDATA(19) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[19]\, 
        PRDATA(18) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[18]\, 
        PRDATA(17) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[17]\, 
        PRDATA(16) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[16]\, 
        PRDATA(15) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[15]\, 
        PRDATA(14) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[14]\, 
        PRDATA(13) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[13]\, 
        PRDATA(12) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[12]\, 
        PRDATA(11) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[11]\, 
        PRDATA(10) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[10]\, PRDATA(9)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[9]\, 
        PRDATA(8) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[8]\, PRDATA(7)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[7]\, 
        PRDATA(6) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[6]\, PRDATA(5)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[5]\, 
        PRDATA(4) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[4]\, PRDATA(3)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[3]\, 
        PRDATA(2) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[2]\, PRDATA(1)
         => \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[1]\, 
        PRDATA(0) => 
        \mss_fan_control_0_MSS_MASTER_APB_PRDATA_[0]\, PREADY => 
        mss_fan_control_0_MSS_MASTER_APB_PREADY, PSLVERR => 
        mss_fan_control_0_MSS_MASTER_APB_PSLVERR, PWM(1) => 
        PWM(1), TACHIN(3) => TACHIN(3), TACHIN(2) => TACHIN(2), 
        TACHIN(1) => TACHIN(1), TACHIN(0) => TACHIN(0), TACHINT
         => pwm_n_tach_0_TACHINT);
    
    \GND\ : GND
      port map(Y => GND_net);
    

end DEF_ARCH; 
